Дмитрий Сергеевич (axshavan) wrote,
Дмитрий Сергеевич
axshavan

Categories:

impossible bad format char

В Ubuntu 15.10 попала по недосмотру мантейнеров бажная версия пакета python-mysqldb (это которая import MySQLdb), 1.3.4-2. При попытке эскейпить строку выдаёт:
Type Error: must be impossible<bad format char>, not str
Не знаю, что, никто не пользуется этой библиотекой, что ли, никто не смог сообразить в течение года с тех пор, как был был обнаружен, что версия этой библиотеки не подходит для использования? А, ну да, наверное, все пользуются SQL Alchemy, которая генерирует белиберду и бредятину и годится только для засирания слоулогов, зато очень python-style (настолько через жопу, что даже чувствуется в этом систематизм, упорядоченность и определённая красота). Как починить:
# aptitude install libmysqlclient-dev && pip install --upgrade mysql-python


Оригинал записи http://blog.axshavan.cz/2016/02/impossible-bad-format-char.html
Tags: web
Subscribe

  • Post a new comment

    Error

    Comments allowed for friends only

    Anonymous comments are disabled in this journal

    default userpic

    Your reply will be screened

    Your IP address will be recorded 

  • 0 comments